#######################################################################
# Aacs Updater program.
#
# Copyright (C) 2014 labDV - Starbuck <starbuck@labdv.com>
#
# GNU General Public License Usage
# This file may be used under the terms of the GNU General Public 
# License version 3.0 as published by the Free Software Foundation
# and appearing in the file LICENSE.GPL included in the packaging
# of this file.  Please review the following information to ensure
# the GNU General Public License version 3.0 requirements will be
# met: http://www.gnu.org/copyleft/gpl.html.
#######################################################################

TEMPLATE = app
LANGUAGE = C++

CONFIG += static link_prl
RESOURCES += AacsUpdater.qrc
QT += network webkit webkitwidgets widgets

# Paths
DEPENDPATH += .
INCLUDEPATH += .

MY_BUILD_PLATFORM = unix
MY_BUILD_PATH = build
MY_TEMP_PATH = tmp

CONFIG( debug, debug|release) {

	# debug
	CONFIG -= release
	MY_BUILD_CONFIG = debug

	ICON = aacsupdater.png
	
	QMAKE_LFLAGS += $$(ORIGIN)

} else {

	# release
	DEFINES += QT_NO_DEBUG_OUTPUT QT_NO_WARNING_OUTPUT
	CONFIG -= debug
	MY_BUILD_CONFIG = release

	ICON = aacsupdater.png

}

DESTDIR = $$MY_BUILD_PATH/$$MY_BUILD_PLATFORM/$$MY_BUILD_CONFIG/bin
OBJECTS_DIR = $$MY_TEMP_PATH/$$MY_BUILD_PLATFORM/$$MY_BUILD_CONFIG/aacsupdater/obj
UI_DIR = $$MY_TEMP_PATH/$$MY_BUILD_PLATFORM/$$MY_BUILD_CONFIG/aacsupdater/ui
MOC_DIR = $$MY_TEMP_PATH/$$MY_BUILD_PLATFORM/$$MY_BUILD_CONFIG/aacsupdater/moc
RCC_DIR = $$MY_TEMP_PATH/$$MY_BUILD_PLATFORM/$$MY_BUILD_CONFIG/aacsupdater/rcc

HEADERS += AacsDatabaseObject.h \
			AacsUpdater.h \
			AacsUpdaterWindow.h \
			LogDialog.h \
			NewKeysDialog.h \
			ProcessingWidget.h

SOURCES += AacsDatabaseObject.cpp \
			AacsUpdater.cpp \
			AacsUpdaterWindow.cpp \
			LogDialog.cpp \
			NewKeysDialog.cpp \
			ProcessingWidget.cpp
