#
# spec file for package aacsupdater
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


# See also http://en.opensuse.org/openSUSE:Specfile_guidelines

Name:           aacsupdater
Version:        2.1.1.0
Release:        pm152.1.8
Summary:        Keeps AACS database up-to-date
License:        GPL-3.0+ and BSD-3-Clause
Group:          Productivity/Multimedia/Video/Players
Url:            http://www.labdv.com/aacs/updater.php
Source0:        https://sf.net/projects/dvdx/files/Open%20Blu-ray/AACS%20Updater/aacs-updater-%{version}-src.tgz
Source1:        %{name}.pro
Source2:        %{name}.desktop
Patch1:         %{name}-linux.patch
BuildRequires:  dos2unix
BuildRequires:  gcc
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5WebKit)
BuildRequires:  pkgconfig(Qt5WebKitWidgets)


%description
Keeps AACS database for Blu-Ray discs up-to-date

%prep
%setup -q -c
cp %{SOURCE1} .
%patch1 -p1
mv src/* .
cp AacsUpdaterIcon.png aacsupdater.png

%build
qmake-qt5 %{name}.pro CONFIG+="release"               \
QMAKE_CFLAGS+="%{optflags}" QMAKE_CXXFLAGS+="%{optflags}"
make %{?_smp_mflags}

%install
dos2unix -c ascii changelog LICENSE.GPL3 README
mv changelog ChangeLog
mkdir -p %{buildroot}%{_datadir}/applications %{buildroot}%{_bindir}
install %{SOURCE2} %{buildroot}%{_datadir}/applications
install -D AacsUpdaterIcon.png %{buildroot}%{_datadir}/pixmaps/aacsupdater.png
install build/unix/release/bin/aacsupdater %{buildroot}%{_bindir}

%files
%defattr(644,root,root)
%doc ChangeLog LICENSE.GPL3 README
%attr(755,root,root) %{_bindir}/aacsupdater
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png

%changelog
* Tue Mar 21 2017 aloisio@gmx.com
- Fixed source URL
* Sun Feb 19 2017 aloisio@gmx.com
- Update to version 2.1.1.0
- Dropped qt-5.1-build.patch
- Added aacsupdater-linux.patch and aacsupdater.pro
- Spec cleanup
* Sun Mar 15 2015 aloisio@gmx.com
- Added RPM_OPT_FLAGS and other minor fixes
* Fri Mar 13 2015 aloisio@gmx.com
- Exchanged patch for sed commands
* Sat Mar  7 2015 aloisio@gmx.com
- Initial version 1.0.1
